¿Cuál es la diferencia entre la versión GCC y la versión XCODE GCC? -- xcode campo con macos campo con gcc camp apple Relacionados El problema

what is difference between gcc version and Xcode gcc version?


6
vote

problema

Español

Esta tal vez una pequeña pregunta tonta, pero estoy muy confundido

EJECUTANDO PKGUTIL EN SHELL IT DISH

  $ pkgutil --pkg-info=com.apple.pkg.CLTools_Executables package-id: com.apple.pkg.CLTools_Executables version: 6.1.1.0.1.1416017670   

lo anterior me dice la versión 6.1

y la versión GCC en Shell le dice

  $ gcc --version Configured with: --prefix=/Library/Developer/CommandLineTools/usr --with-gxx-include-dir=/usr/include/c++/4.2.1 Apple LLVM version 6.0 (clang-600.0.56) (based on LLVM 3.5svn) Target: x86_64-apple-darwin13.1.0 Thread model: posix   

Esto dice LLVM versión 6.0, ¿Alguien puede explicar lo que las versiones anteriores están diciendo son qué versión de qué !!

Original en ingles

This maybe a little silly question but I am very confused

executing pkgutil in shell I get

$ pkgutil --pkg-info=com.apple.pkg.CLTools_Executables package-id: com.apple.pkg.CLTools_Executables version: 6.1.1.0.1.1416017670 

the above tells me version 6.1

and gcc version in shell tells

$ gcc --version Configured with: --prefix=/Library/Developer/CommandLineTools/usr --with-gxx-include-dir=/usr/include/c++/4.2.1 Apple LLVM version 6.0 (clang-600.0.56) (based on LLVM 3.5svn) Target: x86_64-apple-darwin13.1.0 Thread model: posix 

This says LLVM version 6.0 , Can anyone explains what the above versions are telling are which version of what !!

        
       
       

Lista de respuestas

Relacionados problema

4  Diferentes programas en el mismo proyecto Xcode C ++  ( Different programs in the same xcode c project ) 
Estoy tratando de usar Xcode como mi entorno de entrenamiento para simples programas de C ++. Si creo un nuevo proyecto, puedo completar con éxito todo (compi...

1  Compilando GCC en Catalina  ( Compiling gcc on catalina ) 
Estoy tratando de compilar GCC9 en MacOS Catalina. El tutorial más cercano que he encontrado es este uno. El tutorial estados: In order to build GCC in...

1  Get Git trabajando en Mac Lion  ( Get git working on mac lion ) 
Estoy ejecutando Mac OSX LEON 10.7.3 con Xcode 4.3.2. Tengo esta configuración porque necesitaba obtener una antigua aplicación de iPhone en ejecución. Mi p...

1  Instalación de Error de herramientas de línea de comandos de Xcode: el paquete "desarrollopertoolscli.pkg" no está confiable  ( Installing xcode command line tools error the package developertoolscli pkg i ) 
Cuando intento instalar las herramientas de línea de comandos de Xcode, obtengo el mensaje de error: "El paquete" desarrollarderoolscli.pkg "no está confiable...

0  ¿Cómo compile a Libtheora?  ( How do i compile libtheora ) 
Medio ambiente OS X 10.10, YOSEMITE xcode 6.1.1 descargó la biblioteca desde xiph.org/downloads Lo intenté ABCDEFGHIJKLMNABCDEFGHIJKLMN0 : lib...

2  Xcode 8: No se puede aceptar acuerdo de licencia en OS X EL CAPITAN 10.11.6  ( Xcode 8 unable to accept license agreement on os x el capitan 10 11 6 ) 
He descargado Xcode 8 de App Store. Al hacer clic en el icono de Xcode, está mostrando lo siguiente: Después de hacer clic en el botón Acordar, solicita ...

8  ¿Cómo puedo desasociar una sola aplicación (por ejemplo, xcode) de todos los tipos de archivos que se asigna?  ( How can i disassociate a single app e g xcode from all file types its mappe ) 
Cada vez que obtengo una máquina en la que instalo Xcode, se asocia con todo tipo de tipos de archivos. Por ejemplo, .xml , .rb , incluso .java ! Es una mo...

0  Xcode sigue ahorcando y tengo que forzar a dejar de fumar  ( Xcode keeps hanging and i have to force quit ) 
Tengo un IMAC que ejecuta High Sierra y Xcode versión 10.1. Recientemente, he empezado a usar mucho Xcode y se mantiene colgando sobre mí. Haré algo y aparece...

2  ¿Cuáles son algunos buenos recursos para aprender a AppleScript con Xcode 4.3.2?  ( What are some good resources for learning how to applescript with xcode 4 3 2 ) 
i Applescript bastante un poco y me gustaría comenzar a trabajar con Xcode 4.3.2, para que pueda ampliar la funcionalidad de las cosas que estoy escribiendo. ...

7  ¿Es posible agregar opciones alternativas SCM en Xcode 3?  ( Is it possible to add alternate scm options in xcode 3 ) 
¿Es posible agregar opciones de SCM adicionales en Xcode, específicamente mercurial? Sé que es posible afuera con turbio y otros, pero esperaba una integració...

5  Xcode 10 corre realmente lento y disminuye toda la computadora hacia abajo  ( Xcode 10 runs really slow and slows my entire computer down ) 
Actualmente estoy usando Xcode 10.1 y me está volviendo loco, disminuye mi computadora hasta un punto que es inutilizable. Antes de actualizar a Xcode 10, eje...

15  Reabrio SWIFT 2.0 Herramienta de migración en Xcode 7  ( Reopen swift 2 0 migration tool in xcode 7 ) 
Acabo de abrir un proyecto SWIFT en el nuevo Xcode 7. Realmente no miré en qué botón hice clic y cerré las herramientas de migración sin migrar nada. ¿Alg...

1  mal con-gxx-incluyene-dir con clang  ( Wrong with gxx include dir with clang ) 
Mi compilador GCC está apuntando a un directorio anterior / falta de inclusión: (base) ➜ Accounts gcc -v Configured with: --prefix=/Applications/Xcode.app...

1  ¿El adaptador Lightning to USB 3 me permitirá conectarme a través de Xcode para la depuración a través de la POWER PASSTROURICA?  ( Will the lightning to usb 3 adapter let me connect via xcode for debugging via t ) 
Veo que el Lightning A USB 3 Adaptador de cámara tiene dos 'entradas', el puerto USB y un puerto de rayos adicionales. De la evidencia anecdótica (no he enc...

44  ¿De dónde fue el compositor de iconos de Xcode?  ( Where did icon composer go from xcode ) 
Parece que no puedo encontrar el compositor de iconos en las versiones de Xcode en Ejecutar en león de montaña. ¿Dónde está? ¿Se ha sacado? ¿Cómo recuper...




© 2021 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos


Licensed under cc by-sa 3.0 with attribution required.